<?php
/*
File: inc/assets.php
Description: MEDIA OPTIONS
Plugin: FAST GALLERY
Author: Ad-theme.com
*/


add_action('print_media_templates','fastgallery'); 


function fastgallery(){
  ?>
  <script type="text/html" id="tmpl-fast_gallery_type">
    <label class="fg-field">
      <span><?php echo esc_html__('Type Gallery','fastgallery'); ?></span>
      <select data-setting="fg_type">
        <option value="prettyphoto"><?php echo esc_html__('Prettyphoto','fastgallery'); ?></option>       
        <option value="magnific-popup"><?php echo esc_html__('Magnific Popup','fastgallery'); ?></option>
		<option value="fotorama"><?php echo esc_html__('Fotorama Slideshow','fastgallery'); ?></option>
		<option value="custom_url"><?php echo esc_html__('Custom Url','fastgallery'); ?></option>        
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Masonry / Grid','fastgallery'); ?></span>
      <select data-setting="size">
	    <option value="fg-normal"><?php echo esc_html__('Grid','fastgallery'); ?></option>  
        <option value="fg-masonry"><?php echo esc_html__('Masonry','fastgallery'); ?></option>              
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Responsive / Fluid','fastgallery'); ?></span>
      <select data-setting="fg_responsive">
        <option value="fg_responsive"><?php echo esc_html__('Responsive','fastgallery'); ?></option>
        <option value="fg_fluid"><?php echo esc_html__('Fluid','fastgallery'); ?></option>        
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Style','fastgallery'); ?></span>
      <select data-setting="fg_style">
        <option value="fg_style1"><?php echo esc_html__('Style 1','fastgallery'); ?></option>
        <option value="fg_style2"><?php echo esc_html__('Style 2','fastgallery'); ?></option>        
        <option value="fg_style3"><?php echo esc_html__('Style 3','fastgallery'); ?></option>
        <option value="fg_style4"><?php echo esc_html__('Style 4','fastgallery'); ?></option>
        <option value="fg_style5"><?php echo esc_html__('Style 5','fastgallery'); ?></option>
        <option value="fg_style6"><?php echo esc_html__('Style 6','fastgallery'); ?></option>
        <option value="fg_style7"><?php echo esc_html__('Style 7','fastgallery'); ?></option>
        <option value="fg_style8"><?php echo esc_html__('Style 8','fastgallery'); ?></option>
        <option value="fg_style9"><?php echo esc_html__('Style 9','fastgallery'); ?></option>
        <option value="fg_style10"><?php echo esc_html__('Style 10','fastgallery'); ?></option>								
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Over Image','fastgallery'); ?></span>
      <select data-setting="fg_over_image">
        <option value="fg_over_image_on"><?php echo esc_html__('On','fastgallery'); ?></option>
        <option value="fg_over_image_off"><?php echo esc_html__('Off','fastgallery'); ?></option>							
      </select>
    </label>	
    <label class="fg-field">
      <span><?php echo esc_html__('One Thumbs for Gallery','fastgallery'); ?></span>
      <select data-setting="fg_thumbs_one">
        <option value="fg_thumbs_one_off"><?php echo esc_html__('Off','fastgallery'); ?></option>
        <option value="fg_thumbs_one"><?php echo esc_html__('On','fastgallery'); ?></option>        
      </select>
    </label>		
	<h3><?php echo esc_html__('Custom Color','fastgallery'); ?></h3>
    <p><?php echo esc_html__('Leave empty for default value','fastgallery'); ?></p>
	<label class="fg-field">
		<span><?php echo esc_html__('Main Color (ex #EEEEEE)','fastgallery'); ?></span>	
		<input data-setting="fg_main_color" type="text" id="fg_main_color" > 
    </label>
	<label class="fg-field">
		<span><?php echo esc_html__('Main Color Opacity (0.1 to 1)','fastgallery'); ?></span>	
		<input data-setting="fg_main_color_opacity" type="text" id="fg_main_color_opacity" > 
    </label>
	<label class="fg-field">
		<span><?php echo esc_html__('Secondary Color (ex #EEEEEE)','fastgallery'); ?></span>	
		<input data-setting="fg_secondary_color" type="text" id="fg_secondary_color" > 
    </label>
	<h3><?php echo esc_html__('Option only for Fotorama','fastgallery'); ?></h3>
    <p><?php echo esc_html__('Leave empty for other gallery type','fastgallery'); ?></p>
    <label class="fg-field">
      <span><?php echo esc_html__('Autoplay','fastgallery'); ?></span>
      <select data-setting="fg_autoplay">
        <option value="true"><?php echo esc_html__('On','fastgallery'); ?></option>
        <option value="false"><?php echo esc_html__('Off','fastgallery'); ?></option>        
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Nav','fastgallery'); ?></span>
      <select data-setting="fg_nav">
        <option value="thumbs"><?php echo esc_html__('thumbs','fastgallery'); ?></option>
        <option value="dot"><?php echo esc_html__('dot','fastgallery'); ?></option>
        <option value="false"><?php echo esc_html__('Hidden','fastgallery'); ?></option>  		        
      </select>
    </label>			
    <label class="fg-field">
      <span><?php echo esc_html__('Nav Position','fastgallery'); ?></span>
      <select data-setting="fg_navposition">
        <option value="bottom"><?php echo esc_html__('Bottom','fastgallery'); ?></option>
        <option value="top"><?php echo esc_html__('top','fastgallery'); ?></option>        
      </select>
    </label>	
    <label class="fg-field">
      <span><?php echo esc_html__('Allow fullscreen','fastgallery'); ?></span>
      <select data-setting="fg_allowfullscreen">
        <option value="true"><?php echo esc_html__('On','fastgallery'); ?></option>
        <option value="false"><?php echo esc_html__('Off','fastgallery'); ?></option>        
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Transition','fastgallery'); ?></span>
      <select data-setting="fg_transition">
        <option value="slide"><?php echo esc_html__('Slide','fastgallery'); ?></option>
        <option value="crossfade"><?php echo esc_html__('Crossfade','fastgallery'); ?></option>
        <option value="dissolve"><?php echo esc_html__('Dissolve','fastgallery'); ?></option>		        
      </select>
    </label>		
    <label class="fg-field">
      <span><?php echo esc_html__('Arrow','fastgallery'); ?></span>
      <select data-setting="fg_arrow">
        <option value="true"><?php echo esc_html__('On','fastgallery'); ?></option>
        <option value="false"><?php echo esc_html__('Off','fastgallery'); ?></option>        
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Fit','fastgallery'); ?></span>
      <select data-setting="fg_fit">
        <option value="none"><?php echo esc_html__('none','fastgallery'); ?></option>
        <option value="contain"><?php echo esc_html__('contain','fastgallery'); ?></option>
        <option value="cover"><?php echo esc_html__('cover','fastgallery'); ?></option> 
        <option value="scaledown"><?php echo esc_html__('scaledown','fastgallery'); ?></option>  		        		 		        
      </select>
    </label>
    <label class="fg-field">
      <span><?php echo esc_html__('Arrow','fastgallery'); ?></span>
      <select data-setting="fg_loop">
        <option value="true"><?php echo esc_html__('On','fastgallery'); ?></option>
        <option value="false"><?php echo esc_html__('Off','fastgallery'); ?></option>        
      </select>
    </label>						
  </script>

  <script>

    jQuery(document).ready(function(){

      _.extend(wp.media.gallery.defaults, {
        fg_type: 'prettyphoto',
		size: 'fg-normal',
		fg_reponsive: 'fg_responsive',
		fg_style: 'fg_style1',
		fg_over_image: 'fg_over_image_on',
		fg_main_color: '',
		fg_main_color_opacity: '',
		fg_secondary_color: '',
		fg_thumbs_one: 'fg_thumbs_one_off',
		fg_autoplay: 'true',
		fg_nav: 'thumbs',
		fg_navposition: 'bottom',
		fg_allowfullscreen: 'true',
		fg_transition: 'slide',
		fg_arrow: 'true',
		fg_fit: 'none',
		fg_loop: 'true'
      });

      wp.media.view.Settings.Gallery = wp.media.view.Settings.Gallery.extend({
        template: function(view){
          return wp.media.template('gallery-settings')(view)
               + wp.media.template('fast_gallery_type')(view);
        }
      });

    });
  </script>
  
  <?php

}